Skip to main content

Order Confrimation

This interface is used to inform the host system when an order has been confirmed.

Below you will find the Actions with descriptions and the Specfication for the requests.

Actions​

POST​

This method allows you to post to the OrderConfirmationSTD_API Interface.

Request details​

MethodEndpointHeader keyHeader Value
POSTBaseURL/api/outbound/confirmationX-AUTH-TOKENIntegration Service API key

Request Body​

{
"interfaceName" : "OrderConfirmationSTD_API",
"returnDetailedData" : true,
"data": [{
"count": 1
}]
}

Request Response​

{
"success": true,
"message": null,
"errorData": null,
"returnData": {
"Orders": [
{
"orderno": "8156.250001",
"priority": 10,
"duedate": "2020-07-04T18:01:04",
"ordersource": "External",
"createdate": "2020-07-04T07:19:54.552",
"shipfromdate": "2020-07-04T07:19:54.536",
"despatchdate": "2020-07-04T09:42:15.087",
"vas": 0,
"vastext": null,
"subpack": 0,
"courierref": null,
"destno": "TYG001",
"destname1": "TYGERVALLEY",
"destname2": null,
"destaddress1": null,
"destaddress2": null,
"destcity": null,
"desttowncode": null,
"destpostalcode": null,
"destcountrycode": "ZA",
"desthub": null,
"destcontact": null,
"desttelephone": "(021) 914 8011",
"destref": "644#000013",
"note1": null,
"printoptions": null,
"closedate": "2020-07-04T09:42:15.087",
"closereason": "Despatched",
"sealstart": null,
"exporttrigger": "DESPATCH",
"salesorg": null,
"inputline": null,
"subpackversion": 0,
"destref2": null,
"printdespatchnote": 1,
"printconsignmentnote": 0,
"xdp": null,
"sequenceno": 0,
"note2": null,
"invoiceprinted": 0,
"despnoteprnstatus": 0,
"processareano": null,
"campaignno": null,
"campaigndesc": null,
"volumeconsolidation": 0,
"startdate": "2020-07-04T07:19:54.536",
"firstpacktime": "2020-07-04T09:27:05.184",
"reference1": null,
"reference2": null,
"reference3": null,
"wipdate": "2020-07-04T08:25:44.264",
"allocationresult": null,
"confirmfromdate": null,
"requireweightanddims": 1,
"firstduchecktime": null,
"autocreatepacking": 0,
"destaddress3": null,
"destaddress4": null,
"ordertypeno": "DEFAULT",
"ordertypedesc": "DEFAULT",
"trandate": "2020-06-30T13:55:25.658",
"clientno": "169",
"clientname": "J.E.F",
"clientdesc": "J.E.F",
"messageType": "Shipment",
"messageid": 51,
"items": [
{
"lineno": "1",
"styleno": "57829",
"skuno": "57829",
"ref1": "390.01",
"ref2": null,
"itematt1": null,
"itematt2": null,
"itematt3": null,
"itematt4": null,
"itematt5": null,
"itemattvalue1": null,
"itemattvalue2": null,
"itemattvalue3": null,
"qty": 1,
"unitqty": "1",
"customerno": "185",
"customerdesc": "JIMbo"
},
{
"lineno": "2",
"styleno": "57830",
"skuno": "57830",
"ref1": "515.00",
"ref2": null,
"itematt1": null,
"itematt2": null,
"itematt3": null,
"itematt4": null,
"itematt5": null,
"itemattvalue1": null,
"itemattvalue2": null,
"itemattvalue3": null,
"qty": 2,
"unitqty": "2",
"customerno": "185",
"customerdesc": "JIMbo"
},
{
"lineno": "3",
"styleno": "60256",
"skuno": "60256",
"ref1": "428.55",
"ref2": null,
"itematt1": null,
"itematt2": null,
"itematt3": null,
"itematt4": null,
"itematt5": null,
"itemattvalue1": null,
"itemattvalue2": null,
"itemattvalue3": null,
"qty": 1,
"unitqty": "1",
"customerno": "185",
"customerdesc": "JIMbo"
}
]
}
]
}
}

Specification​

Order Header​

FieldType
ordernoString (30)
priorityInteger
duedateTimestamp
ordersourceString (30)
createdateTimestamp
shipfromdateTimestamp
despatchdateTimestamp
vasInteger
vastextString (2048)
subpackInteger
courierrefInteger
destnoString (30)
destname1String (50)
destname2String (30)
destaddress1String (70)
destaddress2String (40)
destcityString (30)
desttowncodeString (10)
destpostalcodeString (20)
destcountrycodeString (10)
desthubString (10)
destcontactString (30)
desttelephoneString (30)
destrefString (30)
note1String (255)
printoptionsString (10)
closedateTimestamp
closereasonString (255)
sealstartTimestamp
exporttriggerString (10)
salesorgString (20)
inputlineString (1000)
subpackversioninteger)
destref2String (30)
printdespatchnoteInteger
printconsignmentnoteInteger
xdpString (30)
sequencenoInteger
note2String (255)
invoiceprintedInteger
despnoteprnstatusInteger
processareanoString (30)
campaignnoString (20)
campaigndescString (50)
volumeconsolidationInteger
startdateTimestamp
firstpacktimeTimestamp
reference1String (30)
reference2String (30)
reference3String (30)
wipdateTimestamp
allocationresultString (500)
confirmfromdateTimestamp
requireweightanddimsInteger
firstduchecktimeTimestamp
autocreatepackingInteger
destaddress3String (70)
destaddress4String (70)
ordertypenoString (10)
ordertypedescString (30)
trandateTimestamp
clientnoString(30)
clientnameString(30)
clientdescString(50)
messageTypeString (30)
messageidInteger

Items​

FieldType
linenoInteger
stylenoString (30)
skunoString (30)
ref1String (50)
ref2String (50)
itematt1String (40)
itematt2String (40)
itematt3String (40)
itematt4String (40)
itematt5String (40)
itemattvalue1Double
itemattvalue2Double
itemattvalue3Double
qtyInteger
unitqtyInteger
customernoString(30)
customerdescString(50)